
#database WabaWS
spring.datasource.url=jdbc:postgresql://localhost:5432/azuan_wb_enforcement

spring.datasource.username=azuan
spring.datasource.password=.T1mb3rl4k3*

#spring.datasource.platform=sqlserver
#spring.datasource.url=jdbc:sqlserver://168.8.37:1433;serverName=192.168.8.37\\SQLEXPRESS;databaseName=azuan_safebank;encrypt=false
#spring.datasource.username=sa
#spring.datasource.password=Noelpetro1234


#Server
server.port=8081

#reCaptcha
google.recaptcha.verification.endpoint=https://www.google.com/recaptcha/api/siteverify
google.recaptcha.key.site=6LcuEkslAAAAADPLMi5Hldj50HGSkAfjtPnitW9O
google.recaptcha.key.secret=6LcuEkslAAAAABGv0Ao6NqQ9PclvZIgUmg09TZ-4

#Logging
logging.level.root=INFO
logging.level.com.azuan.azweb=TRACE
logging.level.org.springframework.security=DEBUG
logging.level.org.hibernate.sql=DEBUG
#spring.jpa.show-sql=true
#spring.jpa.properties.hibernate.format_sql=true
#logging.level.org.hibernate.type=TRACE
logging.level.org.springframework.web=DEBUG

# Mail
sendgrid.api-key=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
sendgrid.email=no-reply@azuan.com
sendgrid.template.recover=d-1608d09b44a14cd987f84f00ae8c8291
sendgrid.template.pwd-changed=d-4668f71cc3be4b4a876ab14fff6a296b
sendgrid.template.new-user=d-3ac1d9ccf192415a999bd6afb1a9ff7d
sendgrid.template.successful-payment=d-439cc41eb58b4a439b10057ccccc5ef5
sendgrid.template.unsuccessful-payment=d-1f7108397d6749499d8c14b5ec27b15e
sendgrid.template.first-admin=d-8695d82366054847ba2f25afe873e749

# Front-end
azweb.url=https://admin.waba.cloud/#/login
azweb.url.password=${azweb.url}password
azweb.url.login=${azweb.url}

# License
az.license.path.base=https://license.waba.cloud/api/v1
az.license.bearer-token=eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJBenVhbiIsIm5hbWUiOiJKb2huIERvZSIsImlhdCI6MTUxNjIzOTAyMn0.1vm3mg3UJ38yYalT1jR4-hgn0aspcz0Cg6AkPcbps54


#IP Lookup
az.iplookup.use = ipinfo
az.iplookup = {\
    ipinfo: {\
        base: 'https://ipinfo.io', \
        city: '/{ipAddress}/city', \
        json: '/{ipAddress}/json' \
    }, \
    'geolocation-db': { \
        base: 'https://geolocation-db.com', \
        json: '/json/{ipAddress}', \
        'json.city': 'city' \
    }, \
    ipapi: {\
        base: 'https://ipapi.co', \
        city: '/{ipAddress}/city', \
        json: '/{ipAddress}/json' \
    }, \
    'hostip': { \
        base: 'https://api.hostip.info', \
        json: '/get_json.php?ip={ipAddress}', \
        'json.city': 'city', \
        disabled: 'Poco fiable' \
    } \
 }
 
# JWT
jwt.secret=FnZHP2PJAbHQkeMwEQZTDk+OK2W2ET9rnfpJoeReyzCaZLsOBVD/a6M6yzUzG4fIgAR5jZlADp8oftKJTCGX6g==

az.libsodium.path=/usr/local/lib/libsodium.so
